<?php

namespace Drupal\fragments\Entity;

use EntityAPIController;

/**
 * Class FragmentController.
 *
 * @package Drupal\fragments\Entity
 */
class FragmentController extends EntityAPIController {

  /**
   * {@inheritdoc}
   */
  public function create(array $values = array()) {
    global $user;

    // Get bundle options.
    if (isset($values['type'])) {
      $options = variable_get('fragment_options_' . $values['type'], array('status'));
    }

    $values += array(
      'title' => '',
      'created' => REQUEST_TIME,
      'changed' => REQUEST_TIME,
      'uid' => $user->uid,
      'timeinterval' => 0,
      'status' => in_array('status', $options) ? 1 : 0,
    );
    return parent::create($values);
  }

}
